Google Web Toolkit
Search Google Code:

# Class TextArea

public class TextArea
extends TextBoxBase
A text box that allows multiple lines of text to be entered.

### CSS Style Rules

- .gwt-TextArea { primary style }
- .gwt-TextArea-readonly { dependent style set when the text area is read-only }

### Example

    public class TextBoxExample implements EntryPoint {

      public void onModuleLoad() {
        // Make some text boxes.  The password text box is identical to the text
        // box, except that the input is visually masked by the browser.
        PasswordTextBox ptb = new PasswordTextBox();
        TextBox tb = new TextBox();

        // Let's disallow non-numeric entry in the normal text box.
        tb.addKeyboardListener(new KeyboardListenerAdapter() {
          public void onKeyPress(Widget sender, char keyCode, int modifiers) {
            if ((!Character.isDigit(keyCode)) && (keyCode != (char) KEY_TAB)
                && (keyCode != (char) KEY_BACKSPACE)
                && (keyCode != (char) KEY_DELETE) && (keyCode != (char) KEY_ENTER)
                && (keyCode != (char) KEY_HOME) && (keyCode != (char) KEY_END)
                && (keyCode != (char) KEY_LEFT) && (keyCode != (char) KEY_UP)
                && (keyCode != (char) KEY_RIGHT) && (keyCode != (char) KEY_DOWN)) {
              // TextBox.cancelKey() suppresses the current keyboard event.
              ((TextBox)sender).cancelKey();
            }
          }
        });

        // Let's make an 80x50 text area to go along with the other two.
        TextArea ta = new TextArea();
        ta.setCharacterWidth(80);
        ta.setVisibleLines(50);

        // Add them to the root panel.
        VerticalPanel panel = new VerticalPanel();
        panel.add(tb);
        panel.add(ptb);
        panel.add(ta);
        RootPanel.get().add(panel);
      }
    }

## Constructors

TextArea() | Creates an empty text area.

## Methods

getCharacterWidth() | Gets the requested width of the text box (this is not an exact value, as not all characters are created equal).
getCursorPos() | Gets the current position of the cursor (this also serves as the beginning of the text selection).
getSelectionLength() | Gets the length of the current text selection.
getVisibleLines() | Gets the number of text lines that are visible.
setCharacterWidth(int) | Sets the requested width of the text box (this is not an exact value, as not all characters are created equal).
setVisibleLines(int) | Sets the number of text lines that are visible.

## Constructor Detail

### TextArea

public TextArea()
Creates an empty text area.

## Method Detail

### getCharacterWidth

public int getCharacterWidth()
Gets the requested width of the text box (this is not an exact value, as not all characters are created equal).

#### Return Value

the requested width, in characters

### getCursorPos

public int getCursorPos()
Gets the current position of the cursor (this also serves as the beginning of the text selection).

#### Return Value

the cursor's position

### getSelectionLength

public int getSelectionLength()
Gets the length of the current text selection.

#### Return Value

the text selection length

### getVisibleLines

public int getVisibleLines()
Gets the number of text lines that are visible.

#### Return Value

the number of visible lines

### setCharacterWidth

public void setCharacterWidth(int width)
Sets the requested width of the text box (this is not an exact value, as not all characters are created equal).

#### Parameters

width
  the requested width, in characters

### setVisibleLines

public void setVisibleLines(int lines)
Sets the number of text lines that are visible.

#### Parameters

lines
  the number of visible lines